<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="now" value="now()" dbms="h2"/>

    <property name="now" value="GETDATE()" dbms="mssql"/>

    <property name="floatType" value="float4" dbms="postgresql, h2"/>
    <property name="floatType" value="float" dbms="mysql, oracle, mssql"/>
    
    <property name="UUID" value="binary(16)" dbms="mysql, mariadb"/>
    <property name="UUID" value="UUID" dbms="postgresql, h2, oracle, mssql"/>

    <property name="timestamp" value="datetime" dbms="mysql, mariadb, postgresql, h2, oracle, mssql"/>

    <property name="Integer" value="int" dbms="mysql, mariadb, postgresql, h2, oracle, mssql"/>
    <property name="String" value="varchar(100)" dbms="mysql, mariadb, postgresql, h2, oracle, mssql"/>

    <property name="BigDecimal" value="decimal(18,4)" dbms="mysql, mariadb, postgresql, h2, oracle, mssql"/>
    <!--
        Added the entity UnitShipmentOutgoing.
    -->
    <changeSet id="20170101000000-1" author="jhipster">
        <createTable tableName="shipment_outgoing">
            <column name="idshipment" type="${UUID}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            
            <column name="shipmentnumber" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="description" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="dateschedulle" type="${timestamp}">
                <constraints nullable="true" />
            </column>

            <column name="reason" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="dtbast" type="${timestamp}">
                <constraints nullable="true" />
            </column>

            <column name="note" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="othername" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="deliveryopt" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="deliveryaddress" type="varchar(255)">
                <constraints nullable="true" />
            </column>

            <column name="idshityp" type="${Integer}">
                <constraints nullable="true" />
            </column>

            <column name="idshifro" type="${String}">
                <constraints nullable="true" />
            </column>

            <column name="idshito" type="${String}">
                <constraints nullable="true" />
            </column>

            <column name="idposaddfro" type="${UUID}">
                <constraints nullable="true" />
            </column>

            <column name="idposaddto" type="${UUID}">
                <constraints nullable="true" />
            </column>

            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>

        <dropDefaultValue tableName="shipment_outgoing" columnName="dateschedulle" columnDataType="datetime"/>
        <dropDefaultValue tableName="shipment_outgoing" columnName="dtbast" columnDataType="datetime"/>
        
    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here, do not remove-->
</databaseChangeLog>
